format = """
[ ](bg:#661e00)\
$os\
$sudo\
$username\
[](bg:#660200 fg:#661e00)\
$hostname\
$kubernetes\
$helm\
[](bg:#800861 fg:#660200)\
$devenv\
$nix_shell\
[](fg:#800861 bg:#25347e)\
$git_branch\
$git_commit\
$git_state\
$git_metrics\
$git_status\
$docker_context\
[](fg:#25347e bg:#175480)\
$c\
$elixir\
$elm\
$golang\
$gradle\
$haskell\
$java\
$julia\
$nodejs\
$nim\
$rust\
$scala\
$python\
[](fg:#175480 bg:#218078)\
$fill\
$time\
$fill\
[](fg:#218078)
[ ](bg:#6d3e80)$directory$character
"""

add_newline = true

# You can also replace your username with a neat symbol like   or disable this
# and use the os module below
[username]
show_always = true
style_user = "fg:#ccc78e bg:#661e00"
style_root = "fg:#ccc78e bg:#661e00"
format = '[$user ]($style)'
disabled = false

# An alternative to the username module which displays a symbol that
# represents the current operating system
[os]
style = "fg:#ccc78e bg:#661e00"
disabled = true # Disabled by default

[hostname]
ssh_only = false
style = "fg:#ccc78e bg:#660200"
format = "[ $hostname ]($style)"

[directory]
style = "fg:#ccc78e bg:#6d3e80"
read_only_style = "fg:#red bg:#6d3e80"
repo_root_style = "fg:#7386e6 bg:#6d3e80"
format = "[ $path$read_only ]($style)"
repo_root_format = "[$before_root_path]($before_repo_root_style)[$repo_root]($repo_root_style)[$path]($style)[$read_only]($read_only_style)"
truncate_to_repo = false
truncation_length = 5
truncation_symbol = "…/"

# Here is how you can shorten some long paths by text replacement
# similar to mapped_locations in Oh My Posh:
[directory.substitutions]
"Documents" = " "
"Downloads" = " "
"Music" = " "
"Pictures" = " "
# Keep in mind that the order matters. For example:
# "Important Documents" = "  "
# will not be replaced, because "Documents" was already substituted before.
# So either put "Important Documents" before "Documents" or use the substituted version:
# "Important  " = "  "

[c]
symbol = " "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[elixir]
symbol = " "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[elm]
symbol = " "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[git_branch]
symbol = ""
style = "fg:#ccc78e bg:#25347e"
format = '[ $symbol $branch ]($style)'

[git_status]
style = "fg:#ccc78e bg:#25347e bold"
format = '[$all_status$ahead_behind ]($style)'

[golang]
symbol = " "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[gradle]
symbol = " "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[haskell]
symbol = " "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[java]
symbol = "☕ "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[julia]
symbol = " "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[nodejs]
symbol = ""
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[nim]
symbol = " "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[rust]
symbol = ""
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[scala]
symbol = " "
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol ($version) ]($style)'

[python]
symbol = ""
style = "fg:#ccc78e bg:#175480"
format = '[ $symbol( $pyenv_prefix)( $version( \($virtualenv\))) ]($style)'

[time]
disabled = false
time_format = "%s  %T"
style = "fg:#ccc78e bg:#218078 bold"
format = '[ $time ]($style)'

[fill]
disabled = false
style = "fg:#ccc78e bg:#218078"
symbol = ' '

[sudo]
style = "fg:#ccc78e bg:#661e00"
format = '[$symbol]($style)'
symbol = '🧙'
disabled = false

[nix_shell]
disabled = false
style = "fg:#ccc78e bg:#800861"
format = '[ $symbol via $name ]($style)'

[character]
format = "$symbol "
success_symbol = "[](#6d3e80)"
error_symbol = "[](#ff0000)"
vimcmd_symbol = "[](#00ff00)"
